export type ActionHandler = (messageData: unknown) => void | Promise<void>;
export interface ActionHandlerService {
    registerHandler(actionType: string, handler: ActionHandler): void;
    unregisterHandler(actionType: string): void;
    handleAction(actionType: string | undefined | null, messageData: unknown): Promise<void>;
    getRegisteredActions(): string[];
}
export declare function useActionHandler(): ActionHandlerService;
